Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenLinkImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenLinkImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenCommonBase, GenLink, GenLinkEnd

    public class GenLinkImpl

extends GenCommonBaseImpl
implements GenLink

An implementation of the model object 'Gen Link'.

The following features are implemented:

- `Gen Outgoing Links`
- `Gen Incoming Links`
- `Diagram`
- `Model Facet`
- `Labels`
- `Outgoing Creation Allowed`
- `Incoming Creation Allowed`
- `View Direction Aligned With Model`
- `Creation Constraints`
- `Target Reorienting Allowed`
- `Source Reorienting Allowed`
- `Create Command Class Name`
- `Reorient Command Class Name`
- `Tree Branch`
- `Sources`
- `Targets`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `CREATE_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Create Command Class Name`' attribute
`protected java.lang.String` `createCommandClassName` The cached value of the '`Create Command Class Name`' attribute
`protected GenLinkConstraints` `creationConstraints` The cached value of the '`Creation Constraints`' containment reference
`protected static boolean` `INCOMING_CREATION_ALLOWED_EDEFAULT` The default value of the '`Incoming Creation Allowed`' attribute
`protected boolean` `incomingCreationAllowed` The cached value of the '`Incoming Creation Allowed`' attribute
`protected org.eclipse.emf.common.util.EList<GenLinkLabel>` `labels` The cached value of the '`Labels`' containment reference list
`protected LinkModelFacet` `modelFacet` The cached value of the '`Model Facet`' containment reference
`protected static boolean` `OUTGOING_CREATION_ALLOWED_EDEFAULT` The default value of the '`Outgoing Creation Allowed`' attribute
`protected boolean` `outgoingCreationAllowed` The cached value of the '`Outgoing Creation Allowed`' attribute
`protected static java.lang.String` `REORIENT_COMMAND_CLASS_NAME_EDEFAULT` The default value of the '`Reorient Command Class Name`' attribute
`protected java.lang.String` `reorientCommandClassName` The cached value of the '`Reorient Command Class Name`' attribute
`protected static boolean` `SOURCE_REORIENTING_ALLOWED_EDEFAULT` The default value of the '`Source Reorienting Allowed`' attribute
`protected boolean` `sourceReorientingAllowed` The cached value of the '`Source Reorienting Allowed`' attribute
`protected static boolean` `TARGET_REORIENTING_ALLOWED_EDEFAULT` The default value of the '`Target Reorienting Allowed`' attribute
`protected boolean` `targetReorientingAllowed` The cached value of the '`Target Reorienting Allowed`' attribute
`protected static boolean` `TREE_BRANCH_EDEFAULT` The default value of the '`Tree Branch`' attribute
`protected boolean` `treeBranch` The cached value of the '`Tree Branch`' attribute
`protected static boolean` `VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT` The default value of the '`View Direction Aligned With Model`' attribute
`protected boolean` `viewDirectionAlignedWithModel` The cached value of the '`View Direction Aligned With Model`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLink
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, REORIENT_COMMAND_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenLinkImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetCreationConstraints(GenLinkConstraints newCreationConstraints, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetModelFacet(LinkModelFacet newModelFacet, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getAssistantSources()`
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getAssistantTargets()`
`java.lang.String` `getClassNamePrefix()`
`java.lang.String` `getCreateCommandClassName()` Returns the value of the 'Create Command Class Name' attribute
`java.lang.String` `getCreateCommandClassNameGen()`
`java.lang.String` `getCreateCommandQualifiedClassName()`
`GenLinkConstraints` `getCreationConstraints()`
`GenDiagram` `getDiagram()`
`org.eclipse.emf.common.util.EList<GenLink>` `getGenIncomingLinks()`
`org.eclipse.emf.common.util.EList<GenLink>` `getGenOutgoingLinks()`
`org.eclipse.emf.common.util.EList<GenLinkLabel>` `getLabels()`
`LinkModelFacet` `getModelFacet()`
`protected org.eclipse.emf.common.util.EList<GenCommonBase>` `getParticipants(org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> participantTypes)` Finds nodes that are based on the specified types.
`java.lang.String` `getReorientCommandClassName()` Returns the value of the 'Reorient Command Class Name' attribute
`java.lang.String` `getReorientCommandClassNameGen()`
`java.lang.String` `getReorientCommandQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenLinkEnd>` `getSources()`
`org.eclipse.emf.common.util.EList<GenLinkEnd>` `getTargets()`
`boolean` `isIncomingCreationAllowed()`
`boolean` `isOutgoingCreationAllowed()`
`boolean` `isSansDomain()`
`boolean` `isSourceReorientingAllowed()`
`boolean` `isTargetReorientingAllowed()`
`boolean` `isTreeBranch()`
`boolean` `isViewDirectionAlignedWithModel()`
`void` `setCreateCommandClassName(java.lang.String newCreateCommandClassName)`
`void` `setCreationConstraints(GenLinkConstraints newCreationConstraints)`
`void` `setIncomingCreationAllowed(boolean newIncomingCreationAllowed)`
`void` `setModelFacet(LinkModelFacet newModelFacet)`
`void` `setOutgoingCreationAllowed(boolean newOutgoingCreationAllowed)`
`void` `setReorientCommandClassName(java.lang.String newReorientCommandClassName)`
`void` `setSourceReorientingAllowed(boolean newSourceReorientingAllowed)`
`void` `setTargetReorientingAllowed(boolean newTargetReorientingAllowed)`
`void` `setTreeBranch(boolean newTreeBranch)`
`void` `setViewDirectionAlignedWithModel(boolean newViewDirectionAlignedWithModel)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### modelFacet

    protected LinkModelFacet modelFacet

  The cached value of the '`Model Facet`' containment reference.

  See Also:
    `getModelFacet()`
  ** Generated **
  Ordered:

### labels

    protected org.eclipse.emf.common.util.EList<GenLinkLabel> labels

  The cached value of the '`Labels`' containment reference list.

  See Also:
    `getLabels()`
  ** Generated **
  Ordered:

### OUTGOING_CREATION_ALLOWED_EDEFAULT

    protected static final boolean OUTGOING_CREATION_ALLOWED_EDEFAULT

  The default value of the '`Outgoing Creation Allowed`' attribute.

  See Also:
    `isOutgoingCreationAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### outgoingCreationAllowed

    protected boolean outgoingCreationAllowed

  The cached value of the '`Outgoing Creation Allowed`' attribute.

  See Also:
    `isOutgoingCreationAllowed()`
  ** Generated **
  Ordered:

### INCOMING_CREATION_ALLOWED_EDEFAULT

    protected static final boolean INCOMING_CREATION_ALLOWED_EDEFAULT

  The default value of the '`Incoming Creation Allowed`' attribute.

  See Also:
    `isIncomingCreationAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### incomingCreationAllowed

    protected boolean incomingCreationAllowed

  The cached value of the '`Incoming Creation Allowed`' attribute.

  See Also:
    `isIncomingCreationAllowed()`
  ** Generated **
  Ordered:

### VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT

    protected static final boolean VIEW_DIRECTION_ALIGNED_WITH_MODEL_EDEFAULT

  The default value of the '`View Direction Aligned With Model`' attribute.

  See Also:
    `isViewDirectionAlignedWithModel()`, Constant Field Values
  ** Generated **
  Ordered:

### viewDirectionAlignedWithModel

    protected boolean viewDirectionAlignedWithModel

  The cached value of the '`View Direction Aligned With Model`' attribute.

  See Also:
    `isViewDirectionAlignedWithModel()`
  ** Generated **
  Ordered:

### creationConstraints

    protected GenLinkConstraints creationConstraints

  The cached value of the '`Creation Constraints`' containment reference.

  See Also:
    `getCreationConstraints()`
  ** Generated **
  Ordered:

### TARGET_REORIENTING_ALLOWED_EDEFAULT

    protected static final boolean TARGET_REORIENTING_ALLOWED_EDEFAULT

  The default value of the '`Target Reorienting Allowed`' attribute.

  See Also:
    `isTargetReorientingAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### targetReorientingAllowed

    protected boolean targetReorientingAllowed

  The cached value of the '`Target Reorienting Allowed`' attribute.

  See Also:
    `isTargetReorientingAllowed()`
  ** Generated **
  Ordered:

### SOURCE_REORIENTING_ALLOWED_EDEFAULT

    protected static final boolean SOURCE_REORIENTING_ALLOWED_EDEFAULT

  The default value of the '`Source Reorienting Allowed`' attribute.

  See Also:
    `isSourceReorientingAllowed()`, Constant Field Values
  ** Generated **
  Ordered:

### sourceReorientingAllowed

    protected boolean sourceReorientingAllowed

  The cached value of the '`Source Reorienting Allowed`' attribute.

  See Also:
    `isSourceReorientingAllowed()`
  ** Generated **
  Ordered:

### CREATE_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CREATE_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Create Command Class Name`' attribute.

  See Also:
    `getCreateCommandClassName()`
  ** Generated **
  Ordered:

### createCommandClassName

    protected java.lang.String createCommandClassName

  The cached value of the '`Create Command Class Name`' attribute.

  See Also:
    `getCreateCommandClassName()`
  ** Generated **
  Ordered:

### REORIENT_COMMAND_CLASS_NAME_EDEFAULT

    protected static final java.lang.String REORIENT_COMMAND_CLASS_NAME_EDEFAULT

  The default value of the '`Reorient Command Class Name`' attribute.

  See Also:
    `getReorientCommandClassName()`
  ** Generated **
  Ordered:

### reorientCommandClassName

    protected java.lang.String reorientCommandClassName

  The cached value of the '`Reorient Command Class Name`' attribute.

  See Also:
    `getReorientCommandClassName()`
  ** Generated **
  Ordered:

### TREE_BRANCH_EDEFAULT

    protected static final boolean TREE_BRANCH_EDEFAULT

  The default value of the '`Tree Branch`' attribute.

  See Also:
    `isTreeBranch()`, Constant Field Values
  ** Generated **
  Ordered:

### treeBranch

    protected boolean treeBranch

  The cached value of the '`Tree Branch`' attribute.

  See Also:
    `isTreeBranch()`
  ** Generated **
  Ordered:

Constructor Detail

### GenLinkImpl

    protected GenLinkImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenCommonBaseImpl`
  ** Generated **

### getGenOutgoingLinks

    public org.eclipse.emf.common.util.EList<GenLink> getGenOutgoingLinks()

  Specified by:
    `getGenOutgoingLinks` in interface `GenLinkEnd`
  Returns:
    the value of the 'Gen Outgoing Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenOutgoingLinks()`
  ** Generated **
    NOT

### getGenIncomingLinks

    public org.eclipse.emf.common.util.EList<GenLink> getGenIncomingLinks()

  Specified by:
    `getGenIncomingLinks` in interface `GenLinkEnd`
  Returns:
    the value of the 'Gen Incoming Links' reference list.
  See Also:
    `GMFGenPackage.getGenLinkEnd_GenIncomingLinks()`
  ** Generated **
    NOT

### getDiagram

    public GenDiagram getDiagram()

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Specified by:
    `getDiagram` in interface `GenLink`
  Specified by:
    `getDiagram` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenLink_Diagram()`, `GenDiagram.getLinks()`
  ** Generated **

### getModelFacet

    public LinkModelFacet getModelFacet()

  Specified by:
    `getModelFacet` in interface `GenLink`
  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.setModelFacet(LinkModelFacet)`, `GMFGenPackage.getGenLink_ModelFacet()`
  ** Generated **

### basicSetModelFacet

    public org.eclipse.emf.common.notify.NotificationChain basicSetModelFacet(LinkModelFacet newModelFacet,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setModelFacet

    public void setModelFacet(LinkModelFacet newModelFacet)

  Specified by:
    `setModelFacet` in interface `GenLink`
  Parameters:
    `newModelFacet` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenLink.getModelFacet()`
  ** Generated **

### getLabels

    public org.eclipse.emf.common.util.EList<GenLinkLabel> getLabels()

  Specified by:
    `getLabels` in interface `GenLink`
  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenLink_Labels()`, `GenLinkLabel.getLink()`
  ** Generated **

### isOutgoingCreationAllowed

    public boolean isOutgoingCreationAllowed()

  Specified by:
    `isOutgoingCreationAllowed` in interface `GenLink`
  Returns:
    the value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.setOutgoingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_OutgoingCreationAllowed()`
  ** Generated **

### setOutgoingCreationAllowed

    public void setOutgoingCreationAllowed(boolean newOutgoingCreationAllowed)

  Specified by:
    `setOutgoingCreationAllowed` in interface `GenLink`
  Parameters:
    `newOutgoingCreationAllowed` - the new value of the 'Outgoing Creation Allowed' attribute.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`
  ** Generated **

### isIncomingCreationAllowed

    public boolean isIncomingCreationAllowed()

  Specified by:
    `isIncomingCreationAllowed` in interface `GenLink`
  Returns:
    the value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.setIncomingCreationAllowed(boolean)`, `GMFGenPackage.getGenLink_IncomingCreationAllowed()`
  ** Generated **

### setIncomingCreationAllowed

    public void setIncomingCreationAllowed(boolean newIncomingCreationAllowed)

  Specified by:
    `setIncomingCreationAllowed` in interface `GenLink`
  Parameters:
    `newIncomingCreationAllowed` - the new value of the 'Incoming Creation Allowed' attribute.
  See Also:
    `GenLink.isIncomingCreationAllowed()`
  ** Generated **

### isViewDirectionAlignedWithModel

    public boolean isViewDirectionAlignedWithModel()

  Specified by:
    `isViewDirectionAlignedWithModel` in interface `GenLink`
  Returns:
    the value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.setViewDirectionAlignedWithModel(boolean)`, `GMFGenPackage.getGenLink_ViewDirectionAlignedWithModel()`
  ** Generated **

### setViewDirectionAlignedWithModel

    public void setViewDirectionAlignedWithModel(boolean newViewDirectionAlignedWithModel)

  Specified by:
    `setViewDirectionAlignedWithModel` in interface `GenLink`
  Parameters:
    `newViewDirectionAlignedWithModel` - the new value of the 'View Direction Aligned With Model' attribute.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`
  ** Generated **

### getCreationConstraints

    public GenLinkConstraints getCreationConstraints()

  Specified by:
    `getCreationConstraints` in interface `GenLink`
  Returns:
    the value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.setCreationConstraints(GenLinkConstraints)`, `GMFGenPackage.getGenLink_CreationConstraints()`, `GenLinkConstraints.getLink()`
  ** Generated **

### basicSetCreationConstraints

    public org.eclipse.emf.common.notify.NotificationChain basicSetCreationConstraints(GenLinkConstraints newCreationConstraints,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setCreationConstraints

    public void setCreationConstraints(GenLinkConstraints newCreationConstraints)

  Specified by:
    `setCreationConstraints` in interface `GenLink`
  Parameters:
    `newCreationConstraints` - the new value of the 'Creation Constraints' containment reference.
  See Also:
    `GenLink.getCreationConstraints()`
  ** Generated **

### isTargetReorientingAllowed

    public boolean isTargetReorientingAllowed()

  Specified by:
    `isTargetReorientingAllowed` in interface `GenLink`
  Returns:
    the value of the 'Target Reorienting Allowed' attribute.
  See Also:
    `GenLink.setTargetReorientingAllowed(boolean)`, `GMFGenPackage.getGenLink_TargetReorientingAllowed()`
  ** Generated **

### setTargetReorientingAllowed

    public void setTargetReorientingAllowed(boolean newTargetReorientingAllowed)

  Specified by:
    `setTargetReorientingAllowed` in interface `GenLink`
  Parameters:
    `newTargetReorientingAllowed` - the new value of the 'Target Reorienting Allowed' attribute.
  See Also:
    `GenLink.isTargetReorientingAllowed()`
  ** Generated **

### isSourceReorientingAllowed

    public boolean isSourceReorientingAllowed()

  Specified by:
    `isSourceReorientingAllowed` in interface `GenLink`
  Returns:
    the value of the 'Source Reorienting Allowed' attribute.
  See Also:
    `GenLink.setSourceReorientingAllowed(boolean)`, `GMFGenPackage.getGenLink_SourceReorientingAllowed()`
  ** Generated **

### setSourceReorientingAllowed

    public void setSourceReorientingAllowed(boolean newSourceReorientingAllowed)

  Specified by:
    `setSourceReorientingAllowed` in interface `GenLink`
  Parameters:
    `newSourceReorientingAllowed` - the new value of the 'Source Reorienting Allowed' attribute.
  See Also:
    `GenLink.isSourceReorientingAllowed()`
  ** Generated **

### getCreateCommandClassNameGen

    public java.lang.String getCreateCommandClassNameGen()

  ** Generated **

### getCreateCommandClassName

    public java.lang.String getCreateCommandClassName()

  Description copied from interface: `GenLink`
  Returns the value of the 'Create Command Class Name' attribute.

  If the meaning of the 'Create Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCreateCommandClassName` in interface `GenLink`
  Returns:
    the value of the 'Create Command Class Name' attribute.
  See Also:
    `GenLink.setCreateCommandClassName(String)`, `GMFGenPackage.getGenLink_CreateCommandClassName()`

### setCreateCommandClassName

    public void setCreateCommandClassName(java.lang.String newCreateCommandClassName)

  Specified by:
    `setCreateCommandClassName` in interface `GenLink`
  Parameters:
    `newCreateCommandClassName` - the new value of the 'Create Command Class Name' attribute.
  See Also:
    `GenLink.getCreateCommandClassName()`
  ** Generated **

### getReorientCommandClassNameGen

    public java.lang.String getReorientCommandClassNameGen()

  ** Generated **

### getReorientCommandClassName

    public java.lang.String getReorientCommandClassName()

  Description copied from interface: `GenLink`
  Returns the value of the 'Reorient Command Class Name' attribute.

  If the meaning of the 'Reorient Command Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getReorientCommandClassName` in interface `GenLink`
  Returns:
    the value of the 'Reorient Command Class Name' attribute.
  See Also:
    `GenLink.setReorientCommandClassName(String)`, `GMFGenPackage.getGenLink_ReorientCommandClassName()`

### setReorientCommandClassName

    public void setReorientCommandClassName(java.lang.String newReorientCommandClassName)

  Specified by:
    `setReorientCommandClassName` in interface `GenLink`
  Parameters:
    `newReorientCommandClassName` - the new value of the 'Reorient Command Class Name' attribute.
  See Also:
    `GenLink.getReorientCommandClassName()`
  ** Generated **

### isTreeBranch

    public boolean isTreeBranch()

  Specified by:
    `isTreeBranch` in interface `GenLink`
  Returns:
    the value of the 'Tree Branch' attribute.
  See Also:
    `GenLink.setTreeBranch(boolean)`, `GMFGenPackage.getGenLink_TreeBranch()`
  ** Generated **

### setTreeBranch

    public void setTreeBranch(boolean newTreeBranch)

  Specified by:
    `setTreeBranch` in interface `GenLink`
  Parameters:
    `newTreeBranch` - the new value of the 'Tree Branch' attribute.
  See Also:
    `GenLink.isTreeBranch()`
  ** Generated **

### getSources

    public org.eclipse.emf.common.util.EList<GenLinkEnd> getSources()

  Specified by:
    `getSources` in interface `GenLink`
  Returns:
    the value of the 'Sources' reference list.
  See Also:
    `GMFGenPackage.getGenLink_Sources()`
  ** Generated **
    NOT

### getTargets

    public org.eclipse.emf.common.util.EList<GenLinkEnd> getTargets()

  Specified by:
    `getTargets` in interface `GenLink`
  Returns:
    the value of the 'Targets' reference list.
  See Also:
    `GMFGenPackage.getGenLink_Targets()`
  ** Generated **
    NOT

### getAssistantSources

    public org.eclipse.emf.common.util.EList<GenCommonBase> getAssistantSources()

  Specified by:
    `getAssistantSources` in interface `GenLink`
  ** Generated **
    NOT

### getAssistantTargets

    public org.eclipse.emf.common.util.EList<GenCommonBase> getAssistantTargets()

  Specified by:
    `getAssistantTargets` in interface `GenLink`
  ** Generated **
    NOT

### getCreateCommandQualifiedClassName

    public java.lang.String getCreateCommandQualifiedClassName()

  Specified by:
    `getCreateCommandQualifiedClassName` in interface `GenLink`
  ** Generated **
    NOT

### getReorientCommandQualifiedClassName

    public java.lang.String getReorientCommandQualifiedClassName()

  Specified by:
    `getReorientCommandQualifiedClassName` in interface `GenLink`
  ** Generated **
    NOT

### getParticipants

    protected org.eclipse.emf.common.util.EList<GenCommonBase> getParticipants(org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> participantTypes)

  Finds nodes that are based on the specified types.

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenCommonBaseImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenCommonBaseImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenCommonBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenCommonBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenCommonBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenCommonBaseImpl`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenCommonBaseImpl`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

### isSansDomain

    public boolean isSansDomain()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Specified by:
    `isSansDomain` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.